﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NHibernate.Domain;

namespace NHibernate.DataPortal
{
    public class UserDal
    {   
        private NHibernateHelper nhibernateHelper = new NHibernateHelper();

        protected ISession Session { get; set; }

        public UserDal()
        {
            this.Session = nhibernateHelper.GetSession();
        }

        public UserDal(ISession session)
        {
            this.Session = session;
        }

        public void AddUser(User user)
        {
            var aa = Session.Save(user);
            Session.Flush();
        }

        public void DeleteUser(User user)
        {
            Session.Delete(user);
            Session.Flush();
        }

        public void UpdateUser(User user)
        {
            Session.Update(user);
            Session.Flush();
        }

        public IList<User> GetUsers()
        {
            return Session.QueryOver<User>().List();
        }
    }
}